"""empty message

Revision ID: d2f0745fe865
Revises: 25888909845d
Create Date: 2021-10-26 11:19:54.587007

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'd2f0745fe865'
down_revision = '25888909845d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('initial_conditions',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('project_id', postgresql.UUID(as_uuid=True), nullable=True),
    sa.Column('group', sa.Enum('CELL_METRICS', 'METABOLITES', 'INPUTS', 'FEEDS', name='initialconditiongroup'), nullable=False),
    sa.Column('name', sa.String(length=55), nullable=False),
    sa.Column('value', sa.Float(), nullable=True),
    sa.ForeignKeyConstraint(['project_id'], ['project.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('event',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('project_id', postgresql.UUID(as_uuid=True), nullable=True),
    sa.Column('time', sa.Float(), nullable=True),
    sa.Column('type', sa.String(length=255), nullable=False),
    sa.Column('input', sa.String(length=255), nullable=True),
    sa.Column('value', sa.Float(), nullable=True),
    sa.Column('state', sa.String(length=255), nullable=True),
    sa.Column('feed', postgresql.UUID(as_uuid=True), nullable=True),
    sa.Column('metabolite', sa.String(length=255), nullable=True),
    sa.Column('csrp_growth', sa.Boolean(), nullable=True),
    sa.Column('csrp_value', sa.Float(), nullable=True),
    sa.Column('volumetric_exchange_rate', sa.Float(), nullable=True),
    sa.Column('target_viable_cell_dencity', sa.Float(), nullable=True),
    sa.Column('exchange_ratio', sa.Float(), nullable=True),
    sa.ForeignKeyConstraint(['feed'], ['feed.id'], ),
    sa.ForeignKeyConstraint(['project_id'], ['project.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('event')
    op.drop_table('initial_conditions')
    # ### end Alembic commands ###
